From dwm@austin.ibm.com Mon Apr 25 17:00:18 2005
To: gregkh@kroah.com
Subject: debugfs: simple newline in format
Date: Mon, 25 Apr 2005 18:59:00 -0500
From: Doug Maxey <dwm@austin.ibm.com>


    debugfs: simple newline in format.

Signed-off-by: Doug Maxey <dwm@austin.ibm.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>


diff -X /home/dwm/data/dontdiff-osdl -Nwupar linux-2.6.11.7/fs/debugfs/file.c linux-2.6.11.7.a/fs/debugfs/file.c
--- linux-2.6.11.7/fs/debugfs/file.c	2005-04-07 13:57:40.000000000 -0500
+++ linux-2.6.11.7.a/fs/debugfs/file.c	2005-04-25 17:59:26.467681929 -0500
@@ -80,9 +80,9 @@ static struct file_operations fops_##typ
 	.write =	write_file_##type,					\
 	.open =		default_open,						\
 };
-simple_type(u8, "%c", unsigned long, simple_strtoul);
-simple_type(u16, "%hi", unsigned long, simple_strtoul);
-simple_type(u32, "%i", unsigned long, simple_strtoul);
+simple_type(u8, "%c\n", unsigned long, simple_strtoul);
+simple_type(u16, "%hi\n", unsigned long, simple_strtoul);
+simple_type(u32, "%i\n", unsigned long, simple_strtoul);
 
 /**
  * debugfs_create_u8 - create a file in the debugfs filesystem that is used to read and write a unsigned 8 bit value.

++doug


